Debian Bug report logs - #185662
libstdc++5: Illegal instruction on 386 CPUs

version graph

Package: libstdc++5; Maintainer for libstdc++5 is Philipp Kern <pkern@debian.org>; Source for libstdc++5 is src:gcc-3.3.

Reported by: Jochen Friedrich <jochen@scram.de>

Date: Thu, 20 Mar 2003 22:03:12 UTC

Severity: important

Tags: sid, wontfix

Merged with 193333, 199203

Found in version 1:3.2.3-0pre6

Fixed in version gcc-3.3/1:3.3ds4-0pre4

Done: Matthias Klose <doko@cs.tu-berlin.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org:
Bug#185662; Package libstdc++5. Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libstdc++5: Illegal instruction on 386 CPUs
Date: Thu, 20 Mar 2003 19:56:52 +0100
Package: libstdc++5
Version: 1:3.2.3-0pre6
Severity: important

Using libstdc++5 on a 386 CPU may cause Illegal instruction (SIGILL).

Starting program: /usr/bin/python2.2 
Program received signal SIGILL, Illegal instruction.
[Switching to Thread 16384 (LWP 297)]
0x400d1b7f in std::locale::_Impl::_M_install_facet(std::locale::id const*, std::locale::facet*) () from /usr/lib/libstdc++.so.5

0x400d1b7f <_ZNSt6locale5_Impl16_M_install_facetEPKNS_2idEPNS_5facetE+51>: lock xadd %eax,(%edx)

# cat /proc/cpuinfo 
processor       : 0
vendor_id       : unknown
cpu family      : 3
model           : 0
model name      : 386
stepping        : unknown
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : no
cpuid level     : -1
wp              : no
flags           :
bogomips        : 7.93

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux prommer 2.4.20-386 #1 Mon Jan 13 20:53:07 EST 2003 i386
Locale: LANG=C, LC_CTYPE=C

Versions of packages libstdc++5 depends on:
ii  gcc-3.2-base               1:3.2.3-0pre6 The GNU Compiler Collection (base 
ii  libc6                      2.3.1-15      GNU C Library: Shared libraries an
ii  libgcc1                    1:3.2.3-0pre6 GCC support library

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org:
Bug#185662; Package libstdc++5. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 185662@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Jochen Friedrich <jochen@scram.de>, 185662@bugs.debian.org
Subject: Re: Bug#185662: libstdc++5: Illegal instruction on 386 CPUs
Date: Mon, 24 Mar 2003 00:11:06 +0100
Jochen Friedrich writes:
> Package: libstdc++5
> Version: 1:3.2.3-0pre6
> Severity: important
> 
> Using libstdc++5 on a 386 CPU may cause Illegal instruction (SIGILL).
> 
> Starting program: /usr/bin/python2.2 
> Program received signal SIGILL, Illegal instruction.
> [Switching to Thread 16384 (LWP 297)]
> 0x400d1b7f in std::locale::_Impl::_M_install_facet(std::locale::id const*, std::locale::facet*) () from /usr/lib/libstdc++.so.5
> 
> 0x400d1b7f <_ZNSt6locale5_Impl16_M_install_facetEPKNS_2idEPNS_5facetE+51>: lock xadd %eax,(%edx)

For a workaround, please could you try to replace the file
/usr/lib/libstdc++.so.5.0.3 with the file from the gcc-snapshot
package?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org:
Bug#185662; Package libstdc++5. Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 185662@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: 185662@bugs.debian.org
Subject: Re: Bug#185662: libstdc++5: Illegal instruction on 386 CPUs
Date: Tue, 25 Mar 2003 17:07:53 +0100 (CET)
Hi Matthias,

> For a workaround, please could you try to replace the file
> /usr/lib/libstdc++.so.5.0.3 with the file from the gcc-snapshot
> package?

Thanks. That fixed the problem for me :-)

--jochen




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jochen Friedrich <jochen@scram.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 185662-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 185662-close@bugs.debian.org
Subject: Bug#185662: fixed in gcc-3.3 1:3.3ds4-0pre4
Date: Sun, 13 Apr 2003 02:47:35 -0400
We believe that the bug you reported is fixed in the latest version of
gcc-3.3, which is due to be installed in the Debian FTP archive:

cpp-3.3-doc_3.3-0pre4_all.deb
  to pool/main/g/gcc-3.3/cpp-3.3-doc_3.3-0pre4_all.deb
cpp-3.3_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/cpp-3.3_3.3-0pre4_hppa.deb
fastjar_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/fastjar_3.3-0pre4_hppa.deb
fixincludes_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/fixincludes_3.3-0pre4_hppa.deb
g++-3.3_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/g++-3.3_3.3-0pre4_hppa.deb
g77-3.3-doc_3.3-0pre4_all.deb
  to pool/main/g/gcc-3.3/g77-3.3-doc_3.3-0pre4_all.deb
g77-3.3_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/g77-3.3_3.3-0pre4_hppa.deb
gcc-3.3-base_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/gcc-3.3-base_3.3-0pre4_hppa.deb
gcc-3.3-doc_3.3-0pre4_all.deb
  to pool/main/g/gcc-3.3/gcc-3.3-doc_3.3-0pre4_all.deb
gcc-3.3_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/gcc-3.3_3.3-0pre4_hppa.deb
gcc-3.3_3.3ds4-0pre4.diff.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3ds4-0pre4.diff.gz
gcc-3.3_3.3ds4-0pre4.dsc
  to pool/main/g/gcc-3.3/gcc-3.3_3.3ds4-0pre4.dsc
gcc-3.3_3.3ds4.orig.tar.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3ds4.orig.tar.gz
gnat-3.3-doc_3.3-0pre4_all.deb
  to pool/main/g/gcc-3.3/gnat-3.3-doc_3.3-0pre4_all.deb
gnat-3.3_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/gnat-3.3_3.3-0pre4_hppa.deb
gobjc-3.3_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/gobjc-3.3_3.3-0pre4_hppa.deb
libg2c0_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/libg2c0_3.3-0pre4_hppa.deb
libgcc1_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/libgcc1_3.3-0pre4_hppa.deb
libobjc1_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/libobjc1_3.3-0pre4_hppa.deb
libstdc++5-3.3-dbg_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dbg_3.3-0pre4_hppa.deb
libstdc++5-3.3-dev_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dev_3.3-0pre4_hppa.deb
libstdc++5-3.3-doc_3.3-0pre4_all.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-doc_3.3-0pre4_all.deb
libstdc++5-3.3-pic_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-pic_3.3-0pre4_hppa.deb
libstdc++5_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/libstdc++5_3.3-0pre4_hppa.deb
protoize_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/protoize_3.3-0pre4_hppa.deb
treelang-3.3_3.3-0pre4_hppa.deb
  to pool/main/g/gcc-3.3/treelang-3.3_3.3-0pre4_hppa.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 185662@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sat, 12 Apr 2003 10:11:11 +0200
Source: gcc-3.3
Binary: libgnat3.15 gcc-3.3-nof gcc-3.3 libobjc1 libgcc1 libstdc++5-3.3-doc libgcj4 libstdc++5 cpp-3.3-doc protoize cpp-3.3 libstdc++5-3.3-dbg g77-3.3-doc g77-3.3 libgcj4-dev gcc-3.3-doc libstdc++5-3.3-dev gcj-3.3 libgcj-common gobjc-3.3 gcc-3.3-soft-float treelang-3.3 libffi libffi-dev fastjar libg2c0 fixincludes gij-3.3 libstdc++5-3.3-pic gcc-3.3-base g++-3.3 gnat-3.3 gnat-3.3-doc
Architecture: source hppa all
Version: 1:3.3ds4-0pre4
Distribution: unstable
Urgency: low
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.3    - The GNU C preprocessor
 cpp-3.3-doc - Documentation for the GNU C preprocessor (cpp)
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-3.3    - The GNU C++ compiler
 g77-3.3    - The GNU Fortran 77 compiler
 g77-3.3-doc - Documentation for the GNU Fortran compiler (g77)
 gcc-3.3    - The GNU C compiler
 gcc-3.3-base - The GNU Compiler Collection (base package)
 gcc-3.3-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gnat-3.3   - The GNU Ada compiler
 gnat-3.3-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-3.3  - The GNU Objective-C compiler
 libg2c0    - Runtime library for GNU Fortran 77 applications
 libgcc1    - GCC support library
 libobjc1   - Runtime library for GNU Objective-C applications
 libstdc++5 - The GNU Standard C++ Library v3
 libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-3.3 - The GNU Treelang compiler
Closes: 184446 185662
Changes: 
 gcc-3.3 (1:3.3ds4-0pre4) unstable; urgency=low
 .
   * gcc-3.3 prerelease taken from the gcc-3_3-branch (CVS 20030412).
   * Avoid sparc64 dependencies for libgcc1 on sparc (Clint Adams).
   * Make the default sparc 32bit target v8 instead of v7. This mainly
     enables hardmul, which should speed up v8 and v9 systems by a large
     margin (Ben Collins).
   * Tighten binutils dependency for sparc.
   * On i386, build libstdc++ optimized for i486 and above. The library
     in /usr/lib is built for i386. Closes: #184446, #185662.
   * Add gpc build (from gcc-snapshot package).
   * debian/control: Include all packages, that _can_ be built from
     this source package (except the cross packages).
   * Add m68k patches: m68k-const, m68k-subreg, m68k-loop.
   * Run the 3.3 testsuite a second time with the installed gcc-3.2
     to check for regressions (promised, only this time, and for the
     final release ;). Add build dependencies (gobjc-3.2, g77-3.2, g++-3.2).
Files: 
 bf3f80e783b4d716d13a0050cc9ae527 2406 devel standard gcc-3.3_3.3ds4-0pre4.dsc
 fab3ec79f4d05ba068138afa05c55552 23453562 devel standard gcc-3.3_3.3ds4.orig.tar.gz
 370dbf62c7379fd6ebc8110a7d610c43 2037609 devel standard gcc-3.3_3.3ds4-0pre4.diff.gz
 7de8d33ccc754b6a91b922fa368fa6e0 89582 doc optional cpp-3.3-doc_3.3-0pre4_all.deb
 7ba58bf2c9fccc12364c1ba815af28d7 2517366 doc optional libstdc++5-3.3-doc_3.3-0pre4_all.deb
 e09f727adde2991bc591d3e14e2b35ec 311768 doc optional g77-3.3-doc_3.3-0pre4_all.deb
 53e27224d7caa751852c8c46faa8fb28 348992 doc optional gnat-3.3-doc_3.3-0pre4_all.deb
 1c4b2c4d1b57c0503f1817b662cb7642 673150 doc optional gcc-3.3-doc_3.3-0pre4_all.deb
 c578a0c820e0cc8c44e59978311f3fe2 134174 devel important gcc-3.3-base_3.3-0pre4_hppa.deb
 b81b8ce2b0355f5fd009ca4bfb4f790c 66324 libs important libgcc1_3.3-0pre4_hppa.deb
 46680c6f4564e7acdbb80f5442f557dd 1468920 interpreters standard cpp-3.3_3.3-0pre4_hppa.deb
 3373eda940ea092fee7c7de0d74ad2ea 37188 devel optional protoize_3.3-0pre4_hppa.deb
 922be777f3cc0af4cb5a16275ba065fb 50282 devel optional fixincludes_3.3-0pre4_hppa.deb
 dda2f0203b6beca515f8c4281cc2fe02 1566858 devel optional gobjc-3.3_3.3-0pre4_hppa.deb
 d15f7c0429a9e1fa60beb8010594e995 141490 libs optional libobjc1_3.3-0pre4_hppa.deb
 4525937fe24c5c2c14a07d1bb9dbc630 111362 devel extra fastjar_3.3-0pre4_hppa.deb
 adab650a923a15f5e18240e0230700de 1883132 devel standard g++-3.3_3.3-0pre4_hppa.deb
 b3ef107f03219c109c24d7a7955dae5c 341690 base standard libstdc++5_3.3-0pre4_hppa.deb
 471a07c53ec554c26f98c589e7691057 878430 libdevel optional libstdc++5-3.3-dev_3.3-0pre4_hppa.deb
 0bcb54b45ccbacd5f02ee23052fa3e2b 428222 libdevel extra libstdc++5-3.3-pic_3.3-0pre4_hppa.deb
 240d14d01dc7a55f05ca9c6a5073cedc 5403860 libdevel extra libstdc++5-3.3-dbg_3.3-0pre4_hppa.deb
 077d1b860593e837d9a55baff5f9f8f6 65480 libs optional libg2c0_3.3-0pre4_hppa.deb
 9aed78a27ef18962ef0724fa834652c3 1736728 devel optional g77-3.3_3.3-0pre4_hppa.deb
 988158597793f02b519619d305b141af 7033818 devel optional gnat-3.3_3.3-0pre4_hppa.deb
 33b3b34b8c15c6848fa4f0b930c5d6d9 1343110 devel optional treelang-3.3_3.3-0pre4_hppa.deb
 ca40f1f97c64dc33ea93d1775f69103f 483208 devel standard gcc-3.3_3.3-0pre4_hppa.deb

-----BEGIN PGP SIGNATURE-----
Version: 2.6.3ia
Charset: noconv
Comment: Requires PGP version 2.6 or later.

iQEVAwUBPpj+8guDzMCIcnEhAQGWiwf/ZoR8zdhGltwtH6V8e4J0vrSyJlZzUr1L
kCrImzmMcUb8AkxGHd250mh0f08BHifSS1ZM0h1XlHGSOYJamFzO9uGmf+ZSmNKt
4gVLWJmnlTj6Us4p6P54LtwsH5KxCVm9Wod0ZkZgQbXL7mErQyX2MCgXzLWkkTDV
krCCe9zAtKwQfwrh90xc/NT26Sz6K8/FPPpWot4l8+a11pfRvviR3JI+x5hoWSOv
TdiTHlJYmNj0sZqJymIcViKF9TEL44iVyUywbg14Qy64MdSUO0ImhZ+t8vS1OXPN
bZ5NlOuBJXMlYDNSqipexgLfnwxOxFDB/XUGyuq325meKpgwfAtKCg==
=iDuo
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 185662 193333. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 185662 193333 199203. Request was from Adam Heath <doogie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@cs.tu-berlin.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jochen Friedrich <jochen@scram.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 185662-done@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: 185662-done@bugs.debian.org, 184446-done@bugs.debian.org
Subject: kernel image now support i486 emulation
Date: Wed, 30 Jul 2003 23:47:42 +0200
Closing these reports now. Debian now ships a kernel image
(kernel-image-2.4.21-3-386), which avoids these reports:

  * Enabled 486 emulation in 386 flavour.

 -- Herbert Xu <herbert@debian.org>  Fri,  4 Jul 2003 22:19:18 +1000



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:40:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.